APIs / Naukri / Search

Naukri: Search

Search from Naukri as JSON. 1 credit per successful call.

GET /v1/naukri/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
keywordstringRequiredUp to 100 characters
locationstringOptionalUp to 100 characters
experienceintegerOptionalAny
salary[]list of stringOptional0to3, 3to6, 6to10, 10to15, 15to25, 25to50, 50to75, 75to100
posted_within_daysintegerOptionalAny
sortstringOptionalrelevance, date
work_modestringOptionaloffice, hybrid, remote
pageintegerOptionalAny
per_pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/naukri/search?keyword=python+developer" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.